summaryrefslogtreecommitdiff
path: root/gnulib/config/srclist-update
diff options
context:
space:
mode:
Diffstat (limited to 'gnulib/config/srclist-update')
m---------gnulib0
-rwxr-xr-xgnulib/config/srclist-update136
2 files changed, 136 insertions, 0 deletions
diff --git a/gnulib b/gnulib
deleted file mode 160000
-Subproject 4fc10daa05477586fea99b6b3ca02a87d1102fa
diff --git a/gnulib/config/srclist-update b/gnulib/config/srclist-update
new file mode 100755
index 00000000..9b3ddabc
--- /dev/null
+++ b/gnulib/config/srclist-update
@@ -0,0 +1,136 @@
+#!/bin/sh
+# $Id: srclist-update,v 1.19 2007-03-30 23:44:27 karl Exp $
+#
+# Check for files in directory $1 being up to date, according to the
+# list on stdin. Don't actually make any changes, just show the diffs.
+#
+# Copyright (C) 2002, 2003, 2005, 2007, 2008, 2009, 2010 Free Software
+# Foundation, Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Originally written by Karl Berry.
+
+
+if test -n "$1"; then
+ cd "$1" || exit 1
+fi
+
+verbose=false
+#chicken="echo (would)"
+
+: ${TMPDIR=/tmp}
+dsttmp=$TMPDIR/srclist.dst
+
+# Source `dirname $0`/srclistvars.sh first, if it exists.
+mydir=`dirname $0`
+test -r $mydir/srclistvars.sh && . $mydir/srclistvars.sh
+
+
+#
+# sed command to fix the license to be GPL.
+fixlicense='
+ /^[[:space:]]*#[[:space:]]*Th[ei][ s].* is free software/,/^[[:space:]]*#.*USA\./c\
+# This program is free software: you can redistribute it and/or modify\
+# it under the terms of the GNU General Public License as published by\
+# the Free Software Foundation; either version 3 of the License, or\
+# (at your option) any later version.\
+#\
+# This program is distributed in the hope that it will be useful,\
+# but WITHOUT ANY WARRANTY; without even the implied warranty of\
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\
+# GNU General Public License for more details.\
+#\
+# You should have received a copy of the GNU General Public License\
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+ /Th[ei][ s].* is free software/,/\*\//c\
+ This program is free software: you can redistribute it and/or modify\
+ it under the terms of the GNU General Public License as published by\
+ the Free Software Foundation; either version 3 of the License, or\
+ (at your option) any later version.\
+\
+ This program is distributed in the hope that it will be useful,\
+ but WITHOUT ANY WARRANTY; without even the implied warranty of\
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\
+ GNU General Public License for more details.\
+\
+ You should have received a copy of the GNU General Public License\
+ along with this program. If not, see <http://www.gnu.org/licenses/>. */
+'
+
+# sed command to remove lines containing $Id lines.
+# Quote the $ so that CVS does not expand it in this script.
+remove_id_lines='/[$]Id:.*[$]/d'
+
+# $1 is input file, $2 is output.
+# Remove $Id lines, since they'll differ between source locations.
+# If $options contains "gpl", change the license to be the standard
+# GPL. We use this for libc files, et al.
+#
+fixfile() \
+{
+ sed_command="$remove_id_lines"
+
+ case " $options " in
+ *' gpl '*)
+ sed_command="$sed_command; $fixlicense";;
+ esac
+
+ sed "$sed_command" $1 >$2
+}
+
+
+#
+cat | while read src dst options; do
+ #echo "src=$src, dst=$dst, options=$options" >&2
+ case $src:$dst in
+ *: ) continue;; # skip lines without second element
+ '#'* ) continue;; # skip comment-only lines
+ esac
+
+ # Expand variables and make sure we have an input file.
+ eval src=$src
+ if test ! -r $src; then
+ echo "$0: cannot read $src" >&2
+ continue
+ fi
+
+ # Ignore subdirs in src dir. E.g., if input spec is
+ # src/subdir/foo.c dst
+ # then write destination file dst/foo.c.
+ eval dst=$dst
+ test -d $dst && dst=$dst/`basename $src`
+
+ # Fix files in both src and dst, for the sake
+ # of a clean comparison.
+ srctmp=$TMPDIR/`basename $src`
+ fixfile $src $srctmp
+ test -r $dst && fixfile $dst $dsttmp
+
+ # if src was executable, make dst executable, to placate git.
+ test -x $src && chmod a+x $dst
+
+ if test ! -e $dst; then
+ echo "## $srctmp $dst # new"
+ $chicken cp -p $srctmp $dst
+ elif cmp -s $srctmp $dsttmp; then
+ $verbose && echo "## $srctmp $dst # unchanged"
+ else
+ echo "## $srctmp $dst # changes"
+ diff -C 2 $dst $srctmp
+ fi
+done
+
+rm -f $dsttmp